cURL
curl --request POST \ --url https://api.shipbob.com/2025-07/return \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'shipbob_channel_id: <shipbob_channel_id>' \ --data ' { "fulfillment_center": { "id": 0, "name": "string" }, "inventory": [ { "id": 0, "lot_date": "2019-08-24T14:15:22Z", "lot_number": "string", "quantity": 0, "requested_action": 0 } ], "original_shipment_id": 0, "reference_id": "string", "tracking_number": "string" } '
{ "channel": { "id": 0, "name": "string" }, "completed_date": "2019-08-24T14:15:22Z", "customer_name": "string", "fulfillment_center": { "id": 0, "name": "string" }, "id": 0, "insert_date": "2019-08-24T14:15:22Z", "inventory": [ { "action_requested": { "action": "string", "action_type": "string", "instructions": "string" }, "action_taken": [ { "action": "string", "action_reason": "string", "image_url": "http://example.com", "quantity_processed": 0 } ], "id": 0, "name": "string", "quantity": 0 } ], "invoice_amount": 0.1, "original_shipment_id": 0, "reference_id": "string", "return_type": "string", "status": "string", "store_order_id": "string", "tracking_number": "string", "transactions": [ { "amount": 0.1, "transaction_type": "string" } ] }
Authentication using Personal Access Token (PAT) token
Channel Id for operation
The return order creation request containing return details, items, and configuration.
Show child attributes
Success
Was this page helpful?
Suggestions
Contact support